Loading...
Searching...
No Matches
pqxx::internal::stream_query_input_iterator< TYPE > Class Template Reference

Input iterator for stream_query. More...

## Public Types

using | value_type = std::tuple< TYPE... >
using | difference_type = long

## Public Member Functions

| stream_query_input_iterator (stream_t &home)
| stream_query_input_iterator (stream_query_input_iterator const &)=default
| stream_query_input_iterator (stream_query_input_iterator &&)=default
stream_query_input_iterator & | operator++ () &
| Pre-increment. This is what you'd normally want to use.
stream_query_input_iterator | operator++ (int)
| Post-increment. Only here to satisfy input_iterator concept.
value_type | operator* () const
| Dereference. There's no caching in here, so don't repeat calls.
bool | operator== (stream_query_end_iterator) const noexcept
| Are we at the end?
bool | operator!= (stream_query_end_iterator) const noexcept
| Comparison only works for comparing to end().
stream_query_input_iterator & | operator= (stream_query_input_iterator &&rhs) noexcept

## Detailed Description

template<typename... TYPE>
class pqxx::internal::stream_query_input_iterator< TYPE >

Input iterator for stream_query.

Just barely enough to support range-based "for" loops on stream_from. Don't assume that any of the usual behaviour works beyond that.

## Member Function Documentation

## operator++()

template<typename... TYPE>

stream_query_input_iterator pqxx::internal::stream_query_input_iterator< TYPE >::operator++ | ( | int |  | ) |

inline

Post-increment. Only here to satisfy input_iterator concept.

The iterator that this returns is in an unusable state.

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/stream_query_impl.hxx